import { Column } from './Column';

export class Table {
  public name: string;
  public columns: Array<Column> = [];

  public constructor (name: string) {
    this.name = name;
  }

  public get_column (name: string): Column|null {
    for (const col of this.columns) {
      if (col.name === name)
        return col;
    }

    return null;
  }
}
